GDB (xrefs)

Public Member Functions | List of all members
gdb.command.type_printers.DisableTypePrinter Class Reference
Inheritance diagram for gdb.command.type_printers.DisableTypePrinter:

## Public Member Functions
def | __init__ (self)
def | __init__ (self)
Public Member Functions inherited from gdb.command.type_printers._EnableOrDisableCommand
def | __init__ (self, setting, name)
def | set_some (self, name, printers)
def | invoke (self, arg, from_tty)
def | add_some (self, result, word, printers)
def | complete (self, text, word)
def | __init__ (self, setting, name)
def | set_some (self, name, printers)
def | invoke (self, arg, from_tty)
def | add_some (self, result, word, printers)
def | complete (self, text, word)

## Additional Inherited Members
Public Attributes inherited from gdb.command.type_printers._EnableOrDisableCommand
| setting

## Detailed Description

    GDB command to disable the specified type-printer.

    Usage: disable type-printer NAME

    NAME is the name of the type-printer.

Definition at line 112 of file type_printers.py.

## Constructor & Destructor Documentation

## ◆ __init__() [1/2]

def gdb.command.type_printers.DisableTypePrinter.__init__ | ( |  | self | ) |

Definition at line 120 of file type_printers.py.

Referenced by gdb.command.type_printers.DisableTypePrinter.__init__().

## ◆ __init__() [2/2]

def gdb.command.type_printers.DisableTypePrinter.__init__ | ( |  | self | ) |

Definition at line 120 of file type_printers.py.

References gdb.command.type_printers.DisableTypePrinter.__init__().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/command/type_printers.py